<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Bahan_kimia extends MY_Controller {

    protected $template = "app";
    protected $module = "bahan_kimia";

    public function __construct() {
        parent::__construct();
        $this->load->model('m_bahan_kimia', 'model');
    }

    public function index() {
        $this->data['halaman'] = "Daftar Bahan Kimia";
        $this->data['sub_halaman'] = '';
        $this->data['data']= $this->model->reads();
        $this->render('index');
    }

    public function create_edit($id = null){
        $this->data['halaman'] = !is_null($id) ? "Edit Data Bahan Kimia" : "Tambah Data Bahan Kimia";
        $this->data['sub_halaman'] = '';

        if(isset($id)){
          $this->data['edit'] = $this->model->detail($id);
        }
        $data = $this->input->post();
        if($data){
            $data['rumus_kimia'] = $data['rumus_kimia'] != '' ? preg_replace('/(\d+)/', '<sub>$1</sub>', $data['rumus_kimia']) : null;
            if(strpos($data['rumus_kimia'], '^<sub>') != false){
              $data['rumus_kimia'] = str_replace('sub', 'sup', $data['rumus_kimia']);
              $data['rumus_kimia'] = str_replace('^', '', $data['rumus_kimia']);
            }
            if(isset($id)){
              $status = $this->model->setData($data, $id);
            }else{
              $status = $this->model->setData($data);
              $data_lot['id_bahan_kimia'] = $status;
              $data_lot['nomor_lot'] = $data['lot'];

              if(strpos($data['tanggal_kadaluarsa'], '/') != false){
                $tgl_k = explode('/', $data['tanggal_kadaluarsa']);
                $data_lot['tanggal_kadaluarsa'] = $tgl_k[2].'-'.$tgl_k[1].'-'.$tgl_k[0];
              }else{
                $data_lot['tanggal_kadaluarsa'] = $data['tanggal_kadaluarsa'];
              }
              $this->model->set_lot($data_lot);
            }
            if($status){
                $msg = 'Bahan Kimia berhasil ditambahkan';
                if($id) $msg = 'Bahan Kimia berhasil diubah';
                $this->session->set_flashdata('msg', $msg);
                redirect('inventaris/bahan_kimia');
            }else{
                $msg = 'Bahan Kimia gagal ditambahkan';
                if($id) $msg = 'Bahan Kimia gagal diubah';
                $this->session->set_flashdata('msgw', $msg);
            }
        }

        $this->render('create_edit');
    }

    function hapus($id){
      $status = $this->model->hapus($id);
      if($status){
          $msg = 'Bahan kimia berhasil dihapus';
          $this->session->set_flashdata('msg', $msg);
          redirect('inventaris/bahan_kimia');
      }else{
          $msg = 'Bahan kimia gagal dihapus';
          $this->session->set_flashdata('msgw', $msg);
      }
    }

    function set_lot($id=null) {
      $data = $this->input->get();
      $tgl_k = explode('/', $data['tanggal_kadaluarsa']);
      $data['tanggal_kadaluarsa'] = $tgl_k[2].'-'.$tgl_k[1].'-'.$tgl_k[0];
      if(is_null($id)){
        $status = $this->model->set_lot($data);
      }

      if($status){
        redirect('inventaris/bahan_kimia');
      }



    }
}
